import { ConfigServiceInterface } from '../config';
import { Handler } from 'aws-lambda';
import { LambdaInterface } from '@aws-lambda-powertools/commons';
/**
  * Options for the tracer class to be used during initialization.
  *
  * Usage:
  * @example
  * ```typescript
  * const customConfigService: ConfigServiceInterface;
  * const tracerOptions: TracerOptions = {
  *   enabled?: true,
  *   serviceName?: 'my-service',
  *   customConfigService?: customConfigService, // Only needed for advanced uses
  * };
  *
  * const tracer = new Tracer(tracerOptions);
  * ```
  */
declare type TracerOptions = {
    enabled?: boolean;
    serviceName?: string;
    customConfigService?: ConfigServiceInterface;
};
declare type HandlerMethodDecorator = (target: LambdaInterface, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<Handler>) => TypedPropertyDescriptor<Handler> | void;
declare type MethodDecorator = (target: any, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<any>) => any;
export { TracerOptions, HandlerMethodDecorator, MethodDecorator };
//# sourceMappingURL=Tracer.d.ts.map